'''
# Copyright (C) Labomedia April 2012
#
#  This program is free software; you can redistribute it and/or
#  modify it under the terms of the GNU General Public License
#  as published by the Free Software Foundation; either version 2
#  of the License, or (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 51 Franproplin Street, Fifth Floor, Boston, MA 02110-1301, USA.
#
#############################################################################
'''

import GameLogic as gl
from OSC3.OSC import OSCClient, OSCMessage

# Get controller and owner
controller = gl.getCurrentController()
owner = controller.owner

# get all scenes
scenes = gl.getSceneList()

addr_out = gl.ip, gl.port_out
try:
    clt = OSCClient()
    clt.connect(addr_out)
except:
    pass

data = []

# for all scenes, all objets, all prop
for scen in scenes:
    for obj in scen.objects:
        propList = obj.getPropertyNames()
        if "_bat_0" in str(obj):
            # [score, x, y]
            data = [obj["score"], obj['x'], obj['y']]
        if "SendOSC" in str(obj):
            if obj["quit"]:
                m1 = OSCMessage('/quit')
                m1.append(1)
                print("oscdvjq")
                try:
                    clt.send(m1)
                    print("Quit sended", m1)
                except:
                    pass
        if "ball2" in str(obj):
            data.append(obj['x'])
            data.append(obj['y'])

m2 = OSCMessage("/player_data")
m2.append(data)
print(m2)
try:
    clt.send(m2)
except:
    pass
